# Interface methods for submodule: PadImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: PadImageFilterBase
class PadImageFilterBaseProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetBoundaryCondition(self, _arg) -> None:
		""""""
		...

	def GetBoundaryCondition(self):
		""""""
		...

